org.apache.poi.hslf.model.textproperties

## Class WrapFlagsTextProp

- java.lang.Object
- - org.apache.poi.hslf.model.textproperties.TextProp
  - - org.apache.poi.hslf.model.textproperties.BitMaskTextProp
    - - org.apache.poi.hslf.model.textproperties.WrapFlagsTextProp

- All Implemented Interfaces:
    Duplicatable, GenericRecord

      public class WrapFlagsTextProp
      extends BitMaskTextProp

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHAR_WRAP_IDX`
    `static java.lang.String` | `NAME`
    `static int` | `OVERFLOW_IDX`
    `static int` | `WORD_WRAO_IDX`

    - ### Fields inherited from class org.apache.poi.hslf.model.textproperties.BitMaskTextProp

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrapFlagsTextProp()`
    `WrapFlagsTextProp(WrapFlagsTextProp other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WrapFlagsTextProp` | `copy()` Clone, eg when you want to actually make use of one of these.

    - ### Methods inherited from class org.apache.poi.hslf.model.textproperties.BitMaskTextProp

      `clone, cloneAll, getGenericProperties, getSubPropMatches, getSubPropNames, getSubValue, getValue, getWriteMask, setSubValue, setValue, setValueWithMask, setWriteMask`

    - ### Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp

      `equals, getMask, getName, getSize, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Field Detail

    - #### CHAR_WRAP_IDX

          public static final int CHAR_WRAP_IDX

      See Also:
        Constant Field Values

    - #### WORD_WRAO_IDX

          public static final int WORD_WRAO_IDX

      See Also:
        Constant Field Values

    - #### OVERFLOW_IDX

          public static final int OVERFLOW_IDX

      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WrapFlagsTextProp

          public WrapFlagsTextProp()

    - #### WrapFlagsTextProp

          public WrapFlagsTextProp(WrapFlagsTextProp other)

  - ### Method Detail

    - #### copy

          public WrapFlagsTextProp copy()

      Description copied from class: `TextProp`
      Clone, eg when you want to actually make use of one of these.
      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `BitMaskTextProp`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.